﻿.blog-box{
    width: 100%;
    display: block;
    position: relative;
    background-color: #fffefc;
    margin-top: 125px;
    min-height: calc(100vh - 125px);
    box-sizing: border-box;
    padding: 60px 0;
}
.blog-category-box{
    width: 1200px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 0 100px;
}
.blog-category-all-box{
    width: 100%;
    display: block;
    position: relative;
}
.blog-category{
    width: calc(1000px / 7);
    display: inline-block;
    font-size: 24px;
    letter-spacing: 0.06em;
    line-height: 46px;
    box-sizing: border-box;
    padding: 0 10px;
    color: #000;
    font-weight: 700;
    text-align: center;
    outline:none;
}
.blog-category-all-box .slick-prev, 
.blog-category-all-box .slick-next{
    width: initial;
    height: initial;
    z-index: 2;
}
.blog-category-all-box .slick-prev{
    left: -60px;
}
.blog-category-all-box .slick-next{
    right: -60px;
}
.blog-category-all-box .slick-prev:before{
    content: '\f053';
    font-family: 'font awesome 5 free';
    font-weight: bold;
    display: block;
    width: initial;
    height: initial;
    font-size: 30px;
    color: #000;
    opacity: 1;
}
.blog-category-all-box .slick-next:before{
    content: '\f054';
    font-family: 'font awesome 5 free';
    font-weight: bold;
    display: block;
    width: initial;
    height: initial;
    font-size: 30px;
    color: #000;
    opacity: 1;
}
.blog-all-box{
    width: 1440px;
    max-width: 100%;
    display: block;
    margin: 0 auto;
    font-size: 0;
    position: relative;
    box-sizing: border-box;
    padding: 80px 0;
}
.blog-list-box{
    width: 1100px;
    max-width: 100%;
    display: inline-block;
    vertical-align: top;
}

.blog-list{
    width: calc((100% - 60px) / 4);
    margin-right: 20px;
    border-radius: 5px;
    display: inline-block;
    vertical-align: middle;
    overflow: hidden;
    position: relative;
}
.blog-list:nth-child(4n){
    margin-right: 0;
}
.blog-list:nth-child(n + 5){
    margin-top: 50px;
}
.blog-list.haveRead::after{
    content: '';
    width: 100%;
    height: 100%;
    background-color: #fff;
    opacity: 0.4;
    position: absolute;
    top: 0;
    left: 0;
}
.blog-list-img{
    width: 100%;
    height: calc((275 / 260) * ((1100px - 60px) / 4));
    display: block;
    position: relative;
    overflow: hidden;
}
.blog-list-text-box{
    width: 100%;
    height: 100%;
    position: absolute;
    bottom: 0;
    left: 0;
    box-sizing: border-box;
    padding: 0 20px;
    padding-bottom: 20px;
    /* Permalink - use to edit and share this gradient: https://colorzilla.com/gradient-editor/#000000+0,000000+100&0+0,1+90 */
    background: -moz-linear-gradient(top,  rgba(0,0,0,0) 0%, rgba(0,0,0,0) 40%, rgba(0,0,0,1) 100%); /* FF3.6-15 */
    background: -webkit-linear-gradient(top,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 40%,rgba(0,0,0,1) 100%); /* Chrome10-25,Safari5.1-6 */
    background: linear-gradient(to bottom,  rgba(0,0,0,0) 0%,rgba(0,0,0,0) 40%,rgba(0,0,0,1) 100%); /* W3C, IE10+, FF16+, Chrome26+, Opera12+, Safari7+ */
    filter: progid:DXImageTransform.Microsoft.gradient( startColorstr='#00000000', endColorstr='#000000',GradientType=0 ); /* IE6-9 */
    display:         flex;
    display: -webkit-flex;
    align-items: flex-start;
    -webkit-align-items: flex-start;
    justify-content: flex-end;
    -webkit-justify-content: flex-end;
    flex-direction: column;
}
.blog-list-text{
    letter-spacing: 0.06em;
    color: #fff;
    font-weight: 700;
    font-size: 22px;
}
.blog-list-text-writer{
    letter-spacing: 0.06em;
    color: #fff;
    font-size: 14px;
    margin-top: 10px;
}
.blog-list-other-box>span{
    letter-spacing: 0.06em;
    color: #fff;
    font-size: 12px;
    display: inline-block;
    vertical-align: middle;
}
.blog-list-other-box p{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    box-sizing: border-box;
    margin-left: 7px;
    padding-left: 7px;
    border-left: 1px solid #fff;
}
.blog-list-other-box p>span{
    letter-spacing: 0.06em;
    color: #fff;
    font-size: 13px;
    font-weight: 700;
    line-height: 14px;
    display: inline-block;
    vertical-align: middle;
}
.blog-list-other-box p>i{
    margin-left: 15px;
    font-size: 16px;
    color: #fff;
    display: inline-block;
    vertical-align: middle;
}


.blog-hot-box{
    width: calc(100% - 1100px);
    display: inline-block;
    vertical-align: top;
    box-sizing: border-box;
    padding-left: 60px;
}
.blog-hot-title{
    font-size: 40px;
    font-weight: 700;
    position: relative;
    color: #000;
    line-height: 1;
    letter-spacing: 0.06em;
}
.blog-hot-info-box{
    width: 100%;
    display: block;
}
.blog-hot-info{
    width: 100%;
    display: block;
    margin-top: 30px;
}
.blog-hot-info-number{
    width: 60px;
    font-size: 28px;
    line-height: 28px;
    color: #e5ddd8;
    display: inline-block;
    vertical-align: top;
}
.blog-hot-info-text-box{
    width: calc(100% - 60px);
    display: inline-block;
    vertical-align: top;
    position: relative;
    transition: all .3s linear;
}
.blog-hot-info-text{
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-size: 20px;
    line-height: 28px;
    overflow : hidden;
    text-overflow: ellipsis;
    display: -webkit-box;
    -webkit-line-clamp: 2;
    -webkit-box-orient: vertical;
    transition: all .3s linear;
}
.blog-hot-info-text-writer{
    letter-spacing: 0.06em;
    color: #666;
    font-size: 14px;
    margin-top: 10px;
}
.blog-hot-info-other-box>span{
    letter-spacing: 0.06em;
    color: #666;
    font-size: 12px;
    display: inline-block;
    vertical-align: middle;
}
.blog-hot-info-other-box p{
    display: inline-block;
    vertical-align: middle;
    position: relative;
    box-sizing: border-box;
    margin-left: 7px;
    padding-left: 7px;
    border-left: 1px solid #666;
}
.blog-hot-info-other-box p>span{
    letter-spacing: 0.06em;
    color: #666;
    font-size: 13px;
    font-weight: 700;
    line-height: 14px;
    display: inline-block;
    vertical-align: middle;
}
.blog-hot-info-other-box p>i{
    margin-left: 15px;
    font-size: 16px;
    color: #666;
    display: inline-block;
    vertical-align: middle;
}



/* pages */
.blog-pages-info-img{
    margin-bottom: 40px;
}
.blog-pages-info-title{
    width: 100%;
    display: block;
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-size: 28px;
    line-height: 28px;
}
.blog-pages-info-write-box{
    width: 100%;
    display: block;
    margin-top: 10px;
}
.blog-pages-info-write-box p{
    letter-spacing: 0.06em;
    color: #333;
    font-size: 18px;
    display: inline-block;
    vertical-align: bottom;
    margin-right: 20px;
}
.blog-pages-info-write-box span{
    letter-spacing: 0.06em;
    color: #666;
    font-size: 14px;
    display: inline-block;
    vertical-align: bottom;
    margin-right: 20px;
    position: relative;
}
.blog-pages-info-write-box span:nth-child(3)::before{
    content: '';
    width: 1px;
    height: 80%;
    display: block;
    background-color: #666;
    position: absolute;
    left: -10px;
    top: 10%;
}
.blog-pages-info-write-box i{
    font-size: 16px;
    line-height: 24px;
    color: #666;
    display: inline-block;
    vertical-align: bottom;
}
.blog-pages-info-edit{
    letter-spacing: 0.06em;
    color: #333;
    font-size: 16px;
    line-height: 2;
    display: block;
    box-sizing: border-box;
    padding: 40px 0;
}
.blog-pages-info-btn-box{
    text-align: center;
    margin-top: 20px;
}
.blog-pages-info-btn-back{
    width: 100px;
    display: inline-block;
    vertical-align: middle;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    background-color: #fff;
    position: relative;
    font-size: 16px;
    line-height: 36px;
    color: #666;
    letter-spacing: 0.06em;
    transition: all .3s linear;
}
.blog-pages-info-btn-back i{
    margin-right: 10px;
}

.blog-pages-message-box{
    width: 100%;
    display: block;
    position: relative;
    margin-top: 80px;
}
.blog-pages-message-title{
    width: 100%;
    display: block;
    margin-top: 40px;
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-size: 22px;
    line-height: 22px;
}
.blog-pages-message-add{
    position: absolute;
    top: 0;
    right: 0;
    width: 140px;
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-size: 18px;
    line-height: 36px;
    border-radius: 5px;
    text-align: center;
    border: 1px solid #d1d1d1;
    background-color: #eee;
}
.blog-pages-message-info-box{
    width: 100%;
    display: block;
    margin-top: 40px;
}
.blog-pages-message-info{
    width: 100%;
    display:         flex;
    display: -webkit-flex;
    flex-direction: row;
    position: relative;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    margin-top: 20px;
}
.blog-pages-message-info:first-child{
    margin-top: 0;
}
.blog-pages-message-user-box{
    width: 200px;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction: column;
    text-align: center;
    box-sizing: border-box;
    padding: 15px 0;
    background-color: #f5f5f5;
}
.blog-pages-message-user{
    letter-spacing: 0.06em;
    color: #333;
    font-size: 18px;
    line-height: 2;
    display: block;
}
.blog-pages-message-user_lv{
    letter-spacing: 0.06em;
    color: #666;
    font-size: 16px;
    line-height: 2;
    display: block;
}
.blog-pages-message-text-box{
    width: calc(100% - 200px);
    display: block;
    box-sizing: border-box;
    padding: 20px;
    border-left: 1px solid #d1d1d1;
}
.blog-pages-message-text-time{
    width: 100%;
    display: block;
    letter-spacing: 0.06em;
    color: #666;
    font-size: 14px;
    line-height: 2;
}
.blog-pages-message-text{
    letter-spacing: 0.06em;
    color: #333;
    font-size: 16px;
    line-height: 2;
    min-height: 100px;
}
.blog-pages-message-write-box{
    width: 100%;
    display:         flex;
    display: -webkit-flex;
    flex-direction: row;
    position: relative;
    box-sizing: border-box;
    border: 1px solid #d1d1d1;
    margin-top: 40px;
}
.blog-pages-message-write{
    letter-spacing: 0.06em;
    color: #333;
    font-size: 16px;
    line-height: 2;
    min-height: 130px;
    box-sizing: border-box;
    resize: none;
    border: none;
    width: 100%;
    height: 100%;
}

.blog-pages-message-write::-webkit-input-placeholder{
    font-family: "微軟正黑體";
}
.blog-pages-message-write:-moz-placeholder{
    font-family: "微軟正黑體";
}
.blog-pages-message-write::-moz-placeholder{
    font-family: "微軟正黑體";
}

.blog-pages-message-login-box{
    width: 100%;
    height: 100%;
    position: absolute;
    top: 0;
    left: 0;
    background-color: #fff;
    display:         flex;
    display: -webkit-flex;
    align-items: center;
    -webkit-align-items: center;
    justify-content: center;
    -webkit-justify-content: center;
    flex-direction:column;
}
.blog-pages-message-login{
    width: 200px;
    letter-spacing: 0.06em;
    color: #000;
    font-weight: 700;
    font-size: 18px;
    line-height: 36px;
    border-radius: 5px;
    text-align: center;
    border: 1px solid #d1d1d1;
    background-color: #eee;
}

.blog-pages-info-community{
    width: 52px;
    font-size: 16px;
    line-height: 30px;
    letter-spacing: 0.06em;
    color: #000;
    display: inline-block;
    vertical-align: middle;
    margin-right: 15px;
}
.blog-pages-info-community-fb{
    color: #3b5998;
}
.blog-pages-info-community-line{
    color: #00b900;
}
.blog-pages-info-community i{
    margin-right: 3px;
}
.blog-pages-info-hashtag-box{
    width: calc(100% - 134px);
    display: inline-block;
    vertical-align: bottom;
    text-align: right;
    box-sizing: border-box;
    padding-left: 50px;
}
.blog-pages-info-hashtag{
    font-size: 16px;
    line-height: 30px;
    letter-spacing: 0.06em;
    background-color: #ddd;
    color: #fff;
    border: 1px solid #d1d1d1;
    box-sizing: border-box;
    padding: 0 5px;
    display: inline-block;
    vertical-align: middle;
    margin-left: 15px;
    transition: all .3s linear;
}
.blog-pages-info-hashtag:hover{
    color: #000;
}



@media only screen and (max-width: 1440px){
    .blog-all-box{
        width: 1200px;
    }
    .blog-list-box{
        width: 900px;
    }
    .blog-list-img{
        height: calc((275 / 260) * ((900px - 60px) / 4));
    }
    .blog-hot-box{
        width: calc(100% - 900px);
        padding-left: 30px;
    }
}
@media only screen and (max-width: 1200px){
    .blog-category-box{
        width: 1000px;
        padding: 0;
    }
    .blog-all-box{
        width: 1000px;
    }
    .blog-list-box{
        width: 760px;
    }
    .blog-list{
        width: calc((100% - 30px) / 4);
        margin-right: 10px;
    }
    .blog-list-img{
        height: calc((275 / 260) * ((760px - 30px) / 4));
    }
    .blog-list:nth-child(n + 5){
        margin-top: 20px;
    }
    .blog-list-text-box{
        padding: 0 10px;
        padding-bottom: 10px;
    }
    .blog-hot-box{
        width: calc(100% - 760px);
        padding-left: 30px;
    }
    .blog-list-text{
        font-size: 18px;
    }
    .blog-hot-title{
        font-size: 30px;
    }
    .blog-hot-info-number {
        width: 40px;
    }
    .blog-hot-info-text-box {
        width: calc(100% - 40px);
    }
}
@media only screen and (max-width: 1000px){
    .blog-box{
        margin-top: 80px;
        min-height: calc(100vh - 80px);
        padding: 50px 0;
    }
    .blog-category-box{
        width: 750px;
        max-width: calc(100vw - 70px);
    }
    .blog-category-all-box .slick-prev{
        left: -30px;
    }
    .blog-category-all-box .slick-next{
        right: -30px;
    }
    .blog-category{
        font-size: 20px;
        line-height: 40px;
    }
    .blog-all-box{
        width: 750px;
        padding: 60px 0;
    }
    .blog-list-box{
        width: 100%;
    }
    .blog-list-img{
        height: calc((275 / 260) * ((750px - 30px) / 4));
    }
    .blog-list-other-box p{
        margin-left: 5px;
        padding-left: 5px;
    }
    .blog-hot-box{
        width: 100%;
        padding-left: 0;
        padding-top: 40px;
    }
    .blog-hot-info{
        width: 50%;
        display: inline-block;
        vertical-align: top;
        margin-top: 15px;
        padding-right: 10px;
        box-sizing: border-box;
    }
    .blog-hot-info:nth-child(2n){
        border-left: 2px solid #666;
        padding-right: 0px;
        padding-left: 10px;
    }
}
@media only screen and (max-width: 750px){
    .blog-box{
        padding: 40px 0;
    }
    .blog-category-box{
        width: 550px;
    }
    .blog-category{
        font-size: 18px;
        line-height: 36px;
    }
    .blog-all-box{
        width: 550px;
        padding: 40px 0;
    }
    .blog-list:nth-child(n){
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
        margin-top: 0;
    }
    .blog-list:nth-child(2n){
        margin-right: 0;
    }
    .blog-list:nth-child(n + 3){
        margin-top: 10px;
    }
    .blog-list-img{
        height: calc((275 / 260) * ((550px - 10px) / 2));
    }
}
@media only screen and (max-width: 550px){
    .blog-box{
        margin-top: 50px;
        min-height: calc(100vh - 50px);
        padding: 20px 0;
    }
    .blog-category-box{
        width: 400px;
    }
    .blog-category{
        font-size: 16px;
        line-height: 30px;
        padding: 0 5px;
    }
    .blog-all-box{
        width: 400px;
        padding: 20px 0;
    }
    .blog-list:nth-child(n){
        width: calc((100% - 10px) / 2);
        margin-right: 10px;
        margin-top: 0;
    }
    .blog-list:nth-child(2n){
        margin-right: 0;
    }
    .blog-list:nth-child(n + 3){
        margin-top: 10px;
    }
    .blog-list-img{
        height: calc((275 / 260) * ((400px - 10px) / 2));
    }
    .blog-list-text{
        font-size: 16px;
    }
    .blog-list-text-writer{
        font-size: 12px;
        margin-top: 5px;
    }
    .blog-list-other-box p>span{
        font-size: 12px;
        line-height: 14px;
    }
    .blog-hot-title{
        font-size: 20px;
    }
    .blog-hot-info-box{
        margin-top: 10px;
    }
    .blog-hot-info:nth-child(n){
        width: 100%;
        padding: 0;
        margin-top: 10px;
        border: none;
    }
    .blog-hot-info-number{
        font-size: 18px;
        line-height: 18px;
        width: 30px;
    }
    .blog-hot-info-text-box{
        width: calc(100% - 30px);
    }
    .blog-hot-info-text{
        font-size: 16px;
        line-height: 22px;
    }
    .blog-hot-info-text-writer{
        font-size: 12px;
        margin-top: 5px;
    }

    .blog-pages-info-title{
        font-size: 18px;
        line-height: 18px;
        margin-top: 20px;
    }
    .blog-pages-info-write-box p{
        font-size: 16px;
        margin-right: 10px;
    }
    .blog-pages-info-edit{
        font-size: 14px;
        line-height: 1.6;
        padding: 20px 0;
    }
}
@media only screen and (max-width: 400px){
    .blog-category-box{
        width: calc(95vw - 70px);
    }
    .blog-all-box{
        width: 95vw;
    }
    .blog-list:nth-child(n) {
        width: 100%;
        margin-right: 0;
        margin-top: 10px;
    }
    .blog-list-img {
        height: calc((275 / 260) * 95vw);
    }
}



@media only screen and (min-width: 1001px){
    .blog-list:hover .main-bg{
        transform: scale(1.1);
    }
    .blog-hot-info-text-box::after{
        content: '';
        width: calc(100% + 10px);
        height: 100%;
        position: absolute;
        right: 0;
        top: 0;
        display: block;
        background-color: rgba(0,0,0,0.05);
        opacity: 0;
        transition: all .3s linear;
    }
    .blog-hot-info:hover .blog-hot-info-text-box::after{
        opacity: 1;
    }
    .blog-hot-info:hover .blog-hot-info-text{
        color: #a67a45;
    }

    .blog-category-box,
    .blog-list,
    .blog-hot-box,
    .blog-pages-info-img,
    .blog-pages-info-community-box,
    .blog-pages-info-title,
    .blog-pages-info-write-box,
    .blog-pages-info-edit{
        opacity: 0;
    }
    .blog-category-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .blog-list.anima{
        animation: fadeInRight 1s ease 0s 1 both;
    }
    .blog-hot-box.anima{
        animation: fadeInLeft 1s ease 0s 1 both;
    }
    .blog-pages-info-img.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .blog-pages-info-community-box.anima{
        animation: fade 1s ease 0s 1 both;
    }
    .blog-pages-info-title.anima{
        animation: fadeInUp 1s ease 0s 1 both;
    }
    .blog-pages-info-write-box.anima{
        animation: fade 1s ease .3s 1 both;
    }
    .blog-pages-info-edit.anima{
        animation: fadeInDown 1s ease .3s 1 both;
    }

    .blog-pages-info-btn-back:hover{
        background-color: #a67a45;
        color: #fff;
    }
}